attributes:
  js:
    js/attributes.js: {}
  dependencies:
    - core/jquery
    - core/underscore

drupal.bootstrap:
  js:
    js/drupal.bootstrap.js: {}
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupalSettings

theme:
  js:
    js/theme.js: {}
  dependencies:
    - bootstrap/drupal.bootstrap
    - bootstrap/attributes

theme-settings:
  js:
    js/theme-settings.js: {}
  dependencies:
    - core/jquery
    - core/jquery.once
    - core/drupal
    - core/drupalSettings

dropdown:
  js:
    js/dropdown.js: {}
  dependencies:
    - bootstrap/theme

modal:
  js:
    js/modal.js: {}
  dependencies:
    - bootstrap/theme

popover:
  js:
    js/popover.js: {}
  dependencies:
    - bootstrap/theme

tooltip:
  js:
    js/tooltip.js: {}
  dependencies:
    - bootstrap/theme

# libraries-extend
drupal.ajax:
  js:
    js/misc/ajax.js: {}

drupal.autocomplete:
  js:
    js/misc/autocomplete.js: {}

drupal.form:
  js:
    js/misc/form.js: {}
  dependencies:
    - bootstrap/theme

drupal.progress:
  js:
    js/misc/progress.js: {}

drupal.states:
  js:
    js/misc/states.js: {}

drupal.tabledrag:
  js:
    js/misc/tabledrag.js: {}

views.ajax:
  js:
    js/modules/views/ajax_view.js: {}

# libraries-override
drupal.batch:
  js:
    js/misc/batch.js: { cache: false }
  dependencies:
    - bootstrap/theme
    - core/drupal.ajax
    - core/drupal.progress
    - core/jquery.once

drupal.dialog:
  js:
    js/misc/dialog.js: {}
  dependencies:
    - bootstrap/modal

drupal.dialog.ajax:
  js:
    js/misc/dialog.ajax.js: {}
  dependencies:
    - core/drupal.ajax
    - bootstrap/drupal.dialog

drupal.filter:
  version: VERSION
  js:
    js/modules/filter/filter.js: {}
  dependencies:
    - core/jquery
    - core/drupal
    - core/jquery.once

drupal.text:
  js:
    js/text/text.js: {}
  dependencies:
    - core/jquery
    - core/jquery.once
    - core/drupal

drupal.vertical-tabs:
  js:
    js/misc/vertical-tabs.js: {}
  dependencies:
    - bootstrap/theme
    - core/jquery.once
    - core/drupal.form
    - core/matchmedia
